Skip to main content
GET
/
v0
/
wallets
/
{wallet_id}
/
assets
/
{symbol}
/
transactions
List Wallet Asset Transactions
curl --request GET \
  --url https://api.sumvin.com/v0/wallets/{wallet_id}/assets/{symbol}/transactions
{
  "_links": {},
  "wallet_address": "<string>",
  "wallet_chain_id": 123,
  "asset_symbol": "<string>",
  "transactions": [
    {
      "id": "<string>",
      "type": "<string>",
      "status": "<string>",
      "direction": "<string>",
      "amount": "<string>",
      "created_at": 123,
      "tx_hash": "<string>",
      "merchant_name": "<string>"
    }
  ],
  "total": 123,
  "offset": 123,
  "limit": 123
}

Headers

x-juno-orgid
string | null

Tenant org ID for multi-tenant auth

x-sumvin-token
string | null
x-juno-jwt
string | null

Path Parameters

wallet_id
string
required
symbol
string
required

Query Parameters

offset
integer
default:0
Required range: x >= 0
limit
integer
default:50
Required range: 1 <= x <= 100
from
integer | null
to
integer | null

Response

Transactions retrieved successfully

HAL-style hypermedia links for navigation and available actions.

wallet_address
string
required
wallet_chain_id
integer
required
asset_symbol
string
required
transactions
WalletAssetTransactionData · object[]
required
total
integer
required
offset
integer
required
limit
integer
required